[Bug 568786] [NEW] kdm package fails to install if gdm-2.20 is installed

Rich Rincebrain at gmail.com
Fri Apr 23 03:37:23 UTC 2010


Public bug reported:

Binary package hint: kdebase-workspace

# dpkg --configure -a
Setting up kdm (4:4.3.2-0ubuntu7.2) ...
dpkg: error processing kdm (--configure):
 subprocess installed post-installation script returned error exit status 1
Errors were encountered while processing:
 kdm

Quote from strace of the dpkg:
[pid 31266] <... read resumed> "GET shared/default-x-display-man"..., 4096) = 37
[pid 31266] write(7, "0 gdm-2.20\n", 11) = 11
[...]
[pid 31273] write(1, "GET gdm-2.20/daemon_name\n", 25) = 25
[pid 31273] dup2(11, 1)                 = 1
[pid 31273] close(11)                   = 0
[pid 31273] read(0,  <unfinished ...>
[pid 31266] <... read resumed> "GET gdm-2.20/daemon_name\n", 4096) = 25
[pid 31266] write(7, "10 gdm-2.20/daemon_name doesn't "..., 38) = 38

The problem appears to be that gdm-2.20 identifies itself as gdm
to...something? dbus?, but default-display-manager points to gdm-2.20,
so querying for gdm-2.20 is failing.

Repointing to gdm fails, because then certain things to start and stop
the process fail.

ProblemType: Bug
Architecture: amd64
Date: Thu Apr 22 23:29:16 2010
DistroRelease: Ubuntu 9.10
InstallationMedia: Ubuntu 9.10 "Karmic Koala" - Release amd64 (20091027.1)
NonfreeKernelModules: nvidia
Package: kdm 4:4.3.2-0ubuntu7.2
ProcEnviron:
 PATH=(custom, user)
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.31-20.58-generic
SourcePackage: kdebase-workspace
Uname: Linux 2.6.31-20-generic x86_64
XsessionErrors:
 (gnome-settings-daemon:30274): GLib-CRITICAL **: g_propagate_error: assertion `src != NULL' failed
 (nautilus:30304): Eel-CRITICAL **: eel_preferences_get_boolean: assertion `preferences_is_initialized ()' failed
 (polkit-gnome-authentication-agent-1:30323): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed
 (firefox:30367): GLib-WARNING **: g_set_prgname() called multiple times

** Affects: kdebase-workspace (Ubuntu)
     Importance: Undecided
         Status: New


** Tags: amd64 apport-bug

-- 
kdm package fails to install if gdm-2.20 is installed
https://bugs.launchpad.net/bugs/568786
You received this bug notification because you are a member of Kubuntu
Bugs, which is subscribed to kdebase-workspace in ubuntu.




More information about the kubuntu-bugs mailing list